| OpenCV 3.4.3 Open Source Computer Vision

Public Types | Public Member Functions | List of all members
cv::rgbd::RgbdPlane Class Reference
RGB-Depth Processing

`#include "rgbd.hpp"`

Inheritance diagram for cv::rgbd::RgbdPlane:

## Public Types
enum | RGBD_PLANE_METHOD { RGBD_PLANE_METHOD_DEFAULT }

## Public Member Functions
| RgbdPlane (int method=RgbdPlane::RGBD_PLANE_METHOD_DEFAULT)
int | getBlockSize () const
int | getMethod () const
int | getMinSize () const
double | getSensorErrorA () const
double | getSensorErrorB () const
double | getSensorErrorC () const
double | getThreshold () const
void | operator() (InputArray points3d, InputArray normals, OutputArray mask, OutputArray plane_coefficients)
void | operator() (InputArray points3d, OutputArray mask, OutputArray plane_coefficients)
void | setBlockSize (int val)
void | setMethod (int val)
void | setMinSize (int val)
void | setSensorErrorA (double val)
void | setSensorErrorB (double val)
void | setSensorErrorC (double val)
void | setThreshold (double val)
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Object that can compute planes in an image

## Member Enumeration Documentation

## § RGBD_PLANE_METHOD

enum cv::rgbd::RgbdPlane::RGBD_PLANE_METHOD

Enumerator
RGBD_PLANE_METHOD_DEFAULT |

## Constructor & Destructor Documentation

## § RgbdPlane()

cv::rgbd::RgbdPlane::RgbdPlane | ( | int | method = `RgbdPlane::RGBD_PLANE_METHOD_DEFAULT` | ) |
| inline

## Member Function Documentation

## § getBlockSize()

int cv::rgbd::RgbdPlane::getBlockSize | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_RgbdPlane.getBlockSize( |  | )

## § getMethod()

int cv::rgbd::RgbdPlane::getMethod | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_RgbdPlane.getMethod( |  | )

## § getMinSize()

int cv::rgbd::RgbdPlane::getMinSize | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_RgbdPlane.getMinSize( |  | )

## § getSensorErrorA()

double cv::rgbd::RgbdPlane::getSensorErrorA | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_RgbdPlane.getSensorErrorA( |  | )

## § getSensorErrorB()

double cv::rgbd::RgbdPlane::getSensorErrorB | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_RgbdPlane.getSensorErrorB( |  | )

## § getSensorErrorC()

double cv::rgbd::RgbdPlane::getSensorErrorC | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_RgbdPlane.getSensorErrorC( |  | )

## § getThreshold()

double cv::rgbd::RgbdPlane::getThreshold | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_RgbdPlane.getThreshold( |  | )

## § operator()() [1/2]

void cv::rgbd::RgbdPlane::operator() | ( | InputArray | points3d,
|  | InputArray | normals,
|  | OutputArray | mask,
|  | OutputArray | plane_coefficients
| ) |  |

Find The planes in a depth image

Parameters

  points3d | the 3d points organized like the depth image: rows x cols with 3 channels
  normals | the normals for every point in the depth image
  mask | An image where each pixel is labeled with the plane it belongs to and 255 if it does not belong to any plane
  plane_coefficients | the coefficients of the corresponding planes (a,b,c,d) such that ax+by+cz+d=0, norm(a,b,c)=1 and c < 0 (so that the normal points towards the camera)

## § operator()() [2/2]

void cv::rgbd::RgbdPlane::operator() | ( | InputArray | points3d,
|  | OutputArray | mask,
|  | OutputArray | plane_coefficients
| ) |  |

Find The planes in a depth image but without doing a normal check, which is faster but less accurate

Parameters

  points3d | the 3d points organized like the depth image: rows x cols with 3 channels
  mask | An image where each pixel is labeled with the plane it belongs to and 255 if it does not belong to any plane
  plane_coefficients | the coefficients of the corresponding planes (a,b,c,d) such that ax+by+cz+d=0

## § setBlockSize()

void cv::rgbd::RgbdPlane::setBlockSize | ( | int | val | ) |
| inline

Python:
| None | = | cv.rgbd_RgbdPlane.setBlockSize( | val | )

## § setMethod()

void cv::rgbd::RgbdPlane::setMethod | ( | int | val | ) |
| inline

Python:
| None | = | cv.rgbd_RgbdPlane.setMethod( | val | )

## § setMinSize()

void cv::rgbd::RgbdPlane::setMinSize | ( | int | val | ) |
| inline

Python:
| None | = | cv.rgbd_RgbdPlane.setMinSize( | val | )

## § setSensorErrorA()

void cv::rgbd::RgbdPlane::setSensorErrorA | ( | double | val | ) |
| inline

Python:
| None | = | cv.rgbd_RgbdPlane.setSensorErrorA( | val | )

## § setSensorErrorB()

void cv::rgbd::RgbdPlane::setSensorErrorB | ( | double | val | ) |
| inline

Python:
| None | = | cv.rgbd_RgbdPlane.setSensorErrorB( | val | )

## § setSensorErrorC()

void cv::rgbd::RgbdPlane::setSensorErrorC | ( | double | val | ) |
| inline

Python:
| None | = | cv.rgbd_RgbdPlane.setSensorErrorC( | val | )

## § setThreshold()

void cv::rgbd::RgbdPlane::setThreshold | ( | double | val | ) |
| inline

Python:
| None | = | cv.rgbd_RgbdPlane.setThreshold( | val | )

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/rgbd/include/opencv2/rgbd.hpp